=== gemrb/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( plugins )
ADD_SUBDIRECTORY( override )
ADD_SUBDIRECTORY( GUIScripts )
ADD_SUBDIRECTORY( docs )

ADD_EXECUTABLE(gemrb GemRB.cpp )
SET_TARGET_PROPERTIES(gemrb PROPERTIES INSTALL_RPATH ${LIB_DIR})
IF(WIN32)
 TARGET_LINK_LIBRARIES(gemrb gemrb_core)
ELSE(WIN32)
 IF(APPLE)
  TARGET_LINK_LIBRARIES(gemrb gemrb_core ${SDL_LIBRARY} ${SDL_MAIN_LIBRARY_PATH} ${COCOA_LIBRARY_PATH} ${DLD_LIBRARY_PATH})
 ELSE(APPLE)
  TARGET_LINK_LIBRARIES(gemrb gemrb_core ${DLD_LIBRARY_PATH})
 ENDIF(APPLE)
ENDIF(WIN32)

INSTALL( TARGETS gemrb DESTINATION ${BIN_DIR} )
INSTALL( FILES GemRB.cfg.sample GemRB.cfg.subdir.sample DESTINATION ${SYSCONF_DIR} )
