=== CMakeFiles/CMakeTmp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(CMAKE_TRY_COMPILE C)
SET(CMAKE_VERBOSE_MAKEFILE 1)
SET(CMAKE_C_FLAGS "   ${COMPILE_DEFINITIONS}")
INCLUDE_DIRECTORIES(${INCLUDE_DIRECTORIES})
SET(CMAKE_SUPPRESS_REGENERATION 1)
LINK_DIRECTORIES(${LINK_DIRECTORIES})
ADD_EXECUTABLE(cmTryCompileExec "/targets/FREMANTLE_ARMEL/usr/share/cmake-2.6/Modules/CMakeCCompilerABI.c")
TARGET_LINK_LIBRARIES(cmTryCompileExec ${LINK_LIBRARIES})
