=== CMakeFiles/CMakeTmp/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp/CMakeFiles /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named cmTryCompileExec

# Build rule for target.
cmTryCompileExec: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cmTryCompileExec
.PHONY : cmTryCompileExec

# fast build rule for target.
cmTryCompileExec/fast:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/build
.PHONY : cmTryCompileExec/fast

CMakeCCompilerABI.o: CMakeCCompilerABI.c.o
.PHONY : CMakeCCompilerABI.o

# target to build an object file
CMakeCCompilerABI.c.o:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/CMakeCCompilerABI.c.o
.PHONY : CMakeCCompilerABI.c.o

CMakeCCompilerABI.i: CMakeCCompilerABI.c.i
.PHONY : CMakeCCompilerABI.i

# target to preprocess a source file
CMakeCCompilerABI.c.i:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/CMakeCCompilerABI.c.i
.PHONY : CMakeCCompilerABI.c.i

CMakeCCompilerABI.s: CMakeCCompilerABI.c.s
.PHONY : CMakeCCompilerABI.s

# target to generate assembly for a file
CMakeCCompilerABI.c.s:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/CMakeCCompilerABI.c.s
.PHONY : CMakeCCompilerABI.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... cmTryCompileExec"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... CMakeCCompilerABI.o"
	@echo "... CMakeCCompilerABI.i"
	@echo "... CMakeCCompilerABI.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
