=== gemrb/GUIScripts/CMakeLists.txt ===
FILE( GLOB FILES_TO_INSTALL *.py )

INSTALL( FILES ${FILES_TO_INSTALL} DESTINATION ${DATA_DIR}/GUIScripts )

ADD_SUBDIRECTORY( bg1 )
ADD_SUBDIRECTORY( bg2 )
ADD_SUBDIRECTORY( iwd )
ADD_SUBDIRECTORY( iwd2 )
ADD_SUBDIRECTORY( pst )
ADD_SUBDIRECTORY( test1 )
