=== gemrb/core/CMakeLists.txt ===
ADD_DEFINITIONS(-DGEM_BUILD_DLL)

FILE(GLOB gemrb_core_LIB_SRCS "*.cpp")

ADD_LIBRARY(gemrb_core SHARED ${gemrb_core_LIB_SRCS} )

IF(WIN32)
  INSTALL(TARGETS gemrb_core RUNTIME DESTINATION ${LIB_DIR})
ELSE(WIN32)
  INSTALL(TARGETS gemrb_core LIBRARY DESTINATION ${LIB_DIR})
ENDIF(WIN32)
