=== gemrb/override/CMakeLists.txt ===
ADD_SUBDIRECTORY( bg1 )
ADD_SUBDIRECTORY( bg2 )
ADD_SUBDIRECTORY( how )
ADD_SUBDIRECTORY( iwd )
ADD_SUBDIRECTORY( iwd2 )
ADD_SUBDIRECTORY( pst )
ADD_SUBDIRECTORY( test1 )
ADD_SUBDIRECTORY( shared )
