=== gemrb/GUIScripts/test1/CMakeLists.txt ===
FILE( GLOB FILES_TO_INSTALL *.py )

INSTALL( FILES ${FILES_TO_INSTALL} DESTINATION ${DATA_DIR}/GUIScripts/test1 )
