=== gemrb/docs/en/CMakeLists.txt ===
INSTALL(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DESTINATION ${DOC_DIR}
  PATTERN CMakeLists.txt EXCLUDE
  PATTERN Makefile.am EXCLUDE
)
