=== gemrb/override/pst/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (pst)
