=== gemrb/override/test1/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (test1)
