=== debian/changelog ===
gemrb (0.6.1-1) unstable; urgency=low

  * First Maemo build.

 -- Bundyo <bundyo@gmail.com>  Mon, 19 Jul 2010 00:01:50 +0300
