=== gemrb/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 ADD_SUBDIRECTORY( 2DAImporter )
 ADD_SUBDIRECTORY( ACMReader )
-ADD_SUBDIRECTORY( WAVReader )
-ADD_SUBDIRECTORY( OGGReader )
 ADD_SUBDIRECTORY( AREImporter )
 ADD_SUBDIRECTORY( BAMImporter )
 ADD_SUBDIRECTORY( BIFImporter )
@@ -22,19 +20,26 @@
 ADD_SUBDIRECTORY( IWDOpcodes )
 ADD_SUBDIRECTORY( KEYImporter )
 ADD_SUBDIRECTORY( MOSImporter )
+ADD_SUBDIRECTORY( MUSImporter )
 ADD_SUBDIRECTORY( MVEPlayer )
-ADD_SUBDIRECTORY( MUSImporter )
 ADD_SUBDIRECTORY( NullSound )
+ADD_SUBDIRECTORY( OGGReader )
+ADD_SUBDIRECTORY( OpenALAudio )
 ADD_SUBDIRECTORY( PLTImporter )
 ADD_SUBDIRECTORY( PNGImporter )
 ADD_SUBDIRECTORY( PROImporter )
 ADD_SUBDIRECTORY( PSTOpcodes )
+ADD_SUBDIRECTORY( SDLAudio )
 ADD_SUBDIRECTORY( SDLVideo )
 ADD_SUBDIRECTORY( SPLImporter )
 ADD_SUBDIRECTORY( STOImporter )
 ADD_SUBDIRECTORY( TISImporter )
 ADD_SUBDIRECTORY( TLKImporter )
+ADD_SUBDIRECTORY( WAVReader )
 ADD_SUBDIRECTORY( WEDImporter )
 ADD_SUBDIRECTORY( WMPImporter )
 ADD_SUBDIRECTORY( ZLibManager )
-ADD_SUBDIRECTORY( OpenALAudio )
+
+if (STATIC_LINK)
+	SET(plugins ${plugins} PARENT_SCOPE)
+endif (STATIC_LINK)
