=== gemrb/plugins/KEYImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (KEYImporter KEYImporter.cpp Dictionary.cpp)
