=== debian/changelog ===
gemrb (0.6.4-1) unstable; urgency=low

  * Implemented right mouse button click with proximity sensor and holding x button
  * Fix PST journal

 -- Nerdknight <nerdknight@gmail.com>  Wed, 30 Mar 2011 20:02:00 +0300
