=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gemrb
 Section: user/games
 Priority: extra
-Maintainer: Bundyo <bundyo@gmail.com>
+Maintainer: Nerdknight <nerdknight@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev
 Standards-Version: 3.7.2
 Homepage: http://gemrb.sourceforge.net
@@ -14,7 +14,6 @@
  open-source implementation of Bioware's Infinity Engine.
  .
  You need to own the original games in order to play them.
-XSBC-Bugtracker: mailto:bundyo@gmail.com
 XB-Maemo-Display-Name: GemRB
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
