=== gemrb/override/iwd/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (iwd)
