=== debian/changelog ===
gemrb (0.6.4-2) unstable; urgency=low

  * Added configuration of right button in gemrb.cfg: now  you can chose the keyboard key and disable proximity sensor right click
  * Instalation no longer overwrite existing gemrb.cfg file

 -- Nerdknight <nerdknight@gmail.com>  Mon, 11 Apr 2011 01:15:00 -0300
