=== debian/control ===
--- 
+++ 
@@ -14,6 +14,10 @@
  open-source implementation of Bioware's Infinity Engine.
  .
  You need to own the original games in order to play them.
+XB-Maemo-Upgrade-Description: Added configuration of right button in gemrb.cfg: 
+ now  you can chose the keyboard key and disable proximity sensor right click.
+ .
+ Instalation no longer overwrite existing gemrb.cfg file.
 XB-Maemo-Display-Name: GemRB
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
