## gemrb 0.6.5-1

=== debian/changelog ===
gemrb (0.6.5-1) unstable; urgency=low
  New features:
    - quickspell support
    - keymap.ini handling
    - yet more unhardcoded PST projectiles
    - area comments, party npc interactions
    - ios port and enhanced touchscreen support
  Improved features:
    - performance
    - squirrels and other small game don't die instantly
    - stores and stacking
    - effects, triggers, actions, dialogs
    - secret door detection, turning undead
    - bugfixes and internal cleanups
  Applied patches:
    ios support patches from Brad Allred
    android and touchscreen patches from Beholder.
  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Fr1, 5 Aug 2011 21:36:53 -0300
